package edu.ntut.curtain;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.servlet.ServletContext;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;


@Path("/helloworld") // sets the path for this service
public class HelloRS {
	
	public HelloRS(@Context ServletContext context) {
		System.out.println("init");
	}
   
   @GET 
   @Produces("text/html") // content type to output
   public String getClichedMessage() {
       return "Hello World";
   }
   
   @PreDestroy
	public void destroy() {
		System.out.println("@PreDestroy invoked...");
	}
   
   @PostConstruct
	public void init() {
		System.out.println("@PostConstruct invoked...");
	}
   
   @GET
	@Path("sayHello")
	@Produces(MediaType.APPLICATION_JSON)
	public Object saySomething() {
		System.out.println("HelloResource.index() invoked...");
//		List<Person> persons = new ArrayList<Person>();
//       try {
//			Person person = new Person();
//			person.setId(1234);
//			person.setName("JimChin");
//			persons.add(person);
//		}catch (Exception e) {
//			// TODO: handle exception
//		}
//		return persons;
		return null;
	}

}
