package edu.ntut.curtain.vo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorOrder;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

import org.codehaus.jackson.map.annotate.JsonSerialize;

@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorOrder
@XmlAccessorType(XmlAccessType.NONE)
public class Curtain implements Serializable {
	
	@XmlAttribute(required=true, name="temp")
	private Float temp;
	
	
	@XmlAttribute(required=true, name="light")
	private Integer light;	

	@XmlAttribute(required=true, name="mode")
	private String mode;
	
	
	@XmlAttribute(required=true, name="motorStatus")
	private String motorStatus;//0:stop;1:open;2:close
	
	
	@XmlAttribute(required=true, name="curtainStatus")
	private String curtainStatus;//0:open;1:close	


	public Float getTemp() {
		return temp;
	}


	public void setTemp(Float temp) {
		this.temp = temp;
	}


	public Integer getLight() {
		return light;
	}


	public void setLight(Integer light) {
		this.light = light;
	}


	public String getMode() {
		return mode;
	}


	public void setMode(String mode) {
		this.mode = mode;
	}


	public String getMotorStatus() {
		return motorStatus;
	}


	public void setMotorStatus(String motorStatus) {
		this.motorStatus = motorStatus;
	}


	public String getCurtainStatus() {
		return curtainStatus;
	}


	public void setCurtainStatus(String curtainStatus) {
		this.curtainStatus = curtainStatus;
	}

	    
}
